import request from '@/utils/request'

// 查询申请列表
export function listOwnApply() {
	let query = {
		pageNum: "1",
		pageSize: "100"
	};
	return request({
		'url': '/comprehensive/biyeapply/listOwnApply',
		'method': 'get',
		query
	})
}

//列出可选学年
export function listEnableYear() {
	return request({
		'url': '/system/year/listEnableYear',
		'method': 'get'
	})
}

//申请优秀毕业生
export function doApply(data) {
	return request({
		'url': '/comprehensive/biyeapply/doApply',
		'method': 'post',
		'data': data
	})
}

// 查询优秀毕业生详细
export function getBiyeapply(id) {
	return request({
		url: '/comprehensive/biyeapply/' + id,
		method: 'get'
	})
}

// 优秀毕业生查看专业排名
export function ownStuScoreMajorRank(){
	return request({
		// comprehensive/biyeapply/getOwnStuScoreMajorRank
	  'url': '/comprehensive/biyeapply/getOwnStuScoreMajorRank',
	  'method': 'get'
	})
}
